composer常用命令

composer常用命令

一、install 命令

install 命令可以用于项目初始化后,初次安装依赖,且会优先读取composer.lock中的版本号,以尽可能的保证协作开发中包版本的一致性。

composer install

 

二、require 命令(推荐)

// 安装包
composer require haveyb/tiny-laravel
// 已安装,要升级到2.0.0
composer require haveyb/tiny-laravel:2.0.0
// 已安装,要降级到1.1.0
composer require haveyb/tiny-laravel:1.1.0

 

三、update 命令(不推荐)

update命令无法在命令行中指定包版本号,需要手动修改composer.json文件

vim composer.json
#升级到2.0.0
"require": {
    "haveyb/tiny-laravel": "2.0.0"
},
:wq
composer update haveyb/tiny-laravel
降级到1.1.0
"require": {
    "haveyb/tiny-laravel": "1.1.0"
},
:wq
composer update haveyb/tiny-laravel

 

四、composer国内镜像源推荐

这里推荐使用阿里云composer镜像源,优点是快速稳定更新快

composer config -g repo.packagist composer https://mirrors.aliyun.com/composer/

 

 

NEW

1核2G服务器1年99元,还有更多配置等你挑选...

买阿里云服务器买腾讯云服务器